.header_bg .bg {
  position: absolute;
  bottom: 0px;
  right: 0px;
  z-index: -1; }
  @media (max-width: 1550px) {
    .header_bg .bg {
      width: 70%; } }
  @media (max-width: 730px) {
    .header_bg .bg {
      position: relative;
      width: 100%; } }

.treatment {
  padding-bottom: 7rem; }
  .treatment .container {
    display: grid;
    grid-template-columns: 740px 1fr;
    -webkit-box-align: center;
    -webkit-align-items: center;
        -ms-flex-align: center;
            align-items: center; }
    @media (max-width: 1080px) {
      .treatment .container {
        grid-template-columns: 450px 1fr;
        gap: 5rem; } }
    @media (max-width: 825px) {
      .treatment .container {
        grid-template-columns: 1fr; } }
  .treatment .content {
    max-width: 328px;
    margin-left: 5rem; }
    @media (max-width: 825px) {
      .treatment .content {
        max-width: 100%;
        margin-left: 0rem; } }
  .treatment .circle__wrapper {
    position: relative; }
    @media (max-width: 825px) {
      .treatment .circle__wrapper {
        margin-left: auto;
        margin-right: auto; } }
    .treatment .circle__wrapper:before {
      content: "";
      display: block;
      position: absolute;
      top: -15%;
      left: 0rem;
      width: 90%;
      height: 90%;
      background-color: #fff;
      border-radius: 50%; }
      @media (max-width: 1080px) {
        .treatment .circle__wrapper:before {
          left: 5rem;
          width: 100%;
          height: 100%; } }
      @media (max-width: 825px) {
        .treatment .circle__wrapper:before {
          left: 0rem; } }
    .treatment .circle__wrapper .circle {
      border-radius: 50%;
      width: 560px;
      height: 560px;
      -webkit-box-shadow: 0px 0px 32px -14px #42445a;
              box-shadow: 0px 0px 32px -14px #42445a;
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-pack: center;
      -webkit-justify-content: center;
          -ms-flex-pack: center;
              justify-content: center;
      -webkit-box-align: center;
      -webkit-align-items: center;
          -ms-flex-align: center;
              align-items: center;
      position: relative;
      margin-left: 5rem; }
      @media (max-width: 1080px) {
        .treatment .circle__wrapper .circle {
          width: 450px;
          height: 450px; } }
      @media (max-width: 825px) {
        .treatment .circle__wrapper .circle {
          margin-left: 0rem; } }
      @media (max-width: 568px) {
        .treatment .circle__wrapper .circle {
          width: 350px;
          height: 350px; } }
    .treatment .circle__wrapper .circle__icon {
      position: absolute;
      width: 90px;
      height: 90px;
      background-color: #fff;
      border-radius: 50%;
      -webkit-box-shadow: 0px 0px 32px -14px #42445a;
              box-shadow: 0px 0px 32px -14px #42445a; }
      @media (max-width: 1080px) {
        .treatment .circle__wrapper .circle__icon {
          width: 70px;
          height: 70px; } }
      .treatment .circle__wrapper .circle__icon:nth-child(1) {
        top: 20px;
        left: 80px; }
        @media (max-width: 1080px) {
          .treatment .circle__wrapper .circle__icon:nth-child(1) {
            top: -10px; } }
      .treatment .circle__wrapper .circle__icon:nth-child(2) {
        top: 10px;
        right: 120px; }
        @media (max-width: 1080px) {
          .treatment .circle__wrapper .circle__icon:nth-child(2) {
            top: -10px;
            right: 100px; } }
      .treatment .circle__wrapper .circle__icon:nth-child(3) {
        top: 60%;
        right: -40px; }
        @media (max-width: 1080px) {
          .treatment .circle__wrapper .circle__icon:nth-child(3) {
            right: -30px; } }
        @media (max-width: 568px) {
          .treatment .circle__wrapper .circle__icon:nth-child(3) {
            right: 20px;
            top: 80%; } }
      .treatment .circle__wrapper .circle__icon:nth-child(4) {
        top: 90%;
        left: 49%; }
        @media (max-width: 1080px) {
          .treatment .circle__wrapper .circle__icon:nth-child(4) {
            left: 40%; } }
      .treatment .circle__wrapper .circle__icon:nth-child(5) {
        top: 60%;
        left: -40px; }
        @media (max-width: 1080px) {
          .treatment .circle__wrapper .circle__icon:nth-child(5) {
            left: -30px; } }
        @media (max-width: 568px) {
          .treatment .circle__wrapper .circle__icon:nth-child(5) {
            left: 20px;
            top: 80%; } }
      .treatment .circle__wrapper .circle__icon img {
        max-width: 90px; }
        @media (max-width: 1080px) {
          .treatment .circle__wrapper .circle__icon img {
            max-width: 70px; } }
    .treatment .circle__wrapper .circle__desc {
      text-align: center;
      max-width: 360px;
      position: relative;
      z-index: 15; }
      @media (max-width: 568px) {
        .treatment .circle__wrapper .circle__desc {
          padding-left: 3rem;
          padding-right: 3rem; } }
      .treatment .circle__wrapper .circle__desc p {
        font-size: 2.6rem;
        font-family: "Gotham Bold";
        line-height: 1.1; }
        @media (max-width: 568px) {
          .treatment .circle__wrapper .circle__desc p {
            font-size: 2rem; } }

.map {
  padding: 4rem 0rem;
  background-color: #eef5fc; }
  .map .container {
    display: grid;
    grid-template-columns: 1050px 1fr;
    max-width: calc(50% + 850px); }
    @media (max-width: 1410px) {
      .map .container {
        grid-template-columns: 890px 1fr; } }
    @media (max-width: 1260px) {
      .map .container {
        grid-template-columns: 650px 1fr; } }
    @media (max-width: 992px) {
      .map .container {
        grid-template-columns: 1fr 1fr; } }
    @media (max-width: 730px) {
      .map .container {
        grid-template-columns: 1fr; } }
  .map .map_wrapper {
    position: relative;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: start;
    -webkit-justify-content: flex-start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    -webkit-box-align: start;
    -webkit-align-items: flex-start;
        -ms-flex-align: start;
            align-items: flex-start; }
    .map .map_wrapper .map_relative {
      position: relative; }
    @media (max-width: 1050px) {
      .map .map_wrapper {
        margin-left: -200px; } }
    @media (max-width: 992px) {
      .map .map_wrapper {
        margin-left: -100px; } }

@-webkit-keyframes pinPulse {
  0% {
    -webkit-transform: scale(0.7);
            transform: scale(0.7); }
  50% {
    -webkit-transform: scale(1);
            transform: scale(1); }
  100% {
    -webkit-transform: scale(0.7);
            transform: scale(0.7); } }

@keyframes pinPulse {
  0% {
    -webkit-transform: scale(0.7);
            transform: scale(0.7); }
  50% {
    -webkit-transform: scale(1);
            transform: scale(1); }
  100% {
    -webkit-transform: scale(0.7);
            transform: scale(0.7); } }
    .map .map_wrapper .line_1 {
      position: absolute;
      top: 75%;
      left: 44%; }
      @media (max-width: 730px) {
        .map .map_wrapper .line_1 {
          display: none; } }
      @media (max-width: 1280px) {
        .map .map_wrapper .line_1 {
          max-height: 200px; } }
      @media (max-width: 992px) {
        .map .map_wrapper .line_1 {
          display: none; } }
    .map .map_wrapper .line_2 {
      position: absolute;
      top: 50%;
      right: -35%; }
      @media (max-width: 730px) {
        .map .map_wrapper .line_2 {
          display: none; } }
      @media (max-width: 1280px) {
        .map .map_wrapper .line_2 {
          max-height: 300px; } }
      @media (max-width: 1050px) {
        .map .map_wrapper .line_2 {
          right: -20%; } }
      @media (max-width: 992px) {
        .map .map_wrapper .line_2 {
          display: none; } }
    .map .map_wrapper .pin {
      position: absolute;
      -webkit-transform: translate(-50%, -50%);
          -ms-transform: translate(-50%, -50%);
              transform: translate(-50%, -50%);
      z-index: 10; }
      .map .map_wrapper .pin:before {
        content: "";
        display: block;
        position: absolute;
        top: 50%;
        left: 50%;
        -webkit-transform: translate(-50%, -50%);
            -ms-transform: translate(-50%, -50%);
                transform: translate(-50%, -50%);
        width: 130%;
        height: 130%;
        background-image: url(../../../img/ozdobnik-15.png);
        background-size: contain;
        background-repeat: no-repeat;
        -webkit-animation: rotate360 8s linear infinite;
                animation: rotate360 8s linear infinite; }

@-webkit-keyframes rotate360 {
  from {
    -webkit-transform: translate(-50%, -50%) rotate(0deg);
            transform: translate(-50%, -50%) rotate(0deg); }
  to {
    -webkit-transform: translate(-50%, -50%) rotate(360deg);
            transform: translate(-50%, -50%) rotate(360deg); } }

@keyframes rotate360 {
  from {
    -webkit-transform: translate(-50%, -50%) rotate(0deg);
            transform: translate(-50%, -50%) rotate(0deg); }
  to {
    -webkit-transform: translate(-50%, -50%) rotate(360deg);
            transform: translate(-50%, -50%) rotate(360deg); } }
      .map .map_wrapper .pin:nth-child(2) .bg {
        -webkit-animation-delay: 0.5s;
                animation-delay: 0.5s; }
      .map .map_wrapper .pin .bg {
        background-color: #fff;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
            -ms-flex-pack: center;
                justify-content: center;
        -webkit-box-align: center;
        -webkit-align-items: center;
            -ms-flex-align: center;
                align-items: center;
        width: 105px;
        height: 105px;
        border-radius: 50%;
        -webkit-animation: pinPulse 4s ease-in-out infinite;
                animation: pinPulse 4s ease-in-out infinite;
        position: relative; }
        @media (max-width: 992px) {
          .map .map_wrapper .pin .bg {
            width: 70px;
            height: 70px; } }
      .map .map_wrapper .pin img {
        max-width: 60px; }
        @media (max-width: 992px) {
          .map .map_wrapper .pin img {
            max-width: 40px; } }
  .map .content {
    max-width: 308px;
    margin-top: 12rem; }
    @media (max-width: 1410px) {
      .map .content {
        margin-right: 0px;
        margin-left: auto; } }
    @media (max-width: 730px) {
      .map .content {
        margin-left: 0px;
        max-width: 100%;
        margin-top: 0rem; } }
    .map .content h2 {
      line-height: 1.1; }

.places {
  padding: 10rem 0rem 10rem;
  background-color: #eef5fc; }
  .places .grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem; }
    @media (max-width: 992px) {
      .places .grid {
        grid-template-columns: 1fr; } }
  .places .col__title {
    font-family: "Gotham Bold";
    text-align: center;
    color: #001c37;
    margin-bottom: 3rem; }
  .places .places__grid {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
        -ms-flex-align: center;
            align-items: center;
    gap: 1rem;
    -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
            flex-wrap: wrap; }
  .places .item {
    padding: 5rem 2rem 0rem;
    background-color: #fff;
    text-align: center;
    width: 49%; }
    @media (max-width: 400px) {
      .places .item {
        width: 100%; } }
    .places .item .logo {
      min-height: 90px; }
      .places .item .logo img {
        max-width: 180px;
        max-height: 50px;
        -o-object-position: center;
           object-position: center;
        -o-object-fit: contain;
           object-fit: contain; }
    .places .item .desc {
      min-height: 120px; }
    .places .item .persons {
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-align: center;
      -webkit-align-items: center;
          -ms-flex-align: center;
              align-items: center;
      -webkit-box-pack: center;
      -webkit-justify-content: center;
          -ms-flex-pack: center;
              justify-content: center;
      margin-left: -1.5rem; }
      .places .item .persons img {
        border: 2px solid #fff;
        border-radius: 50%;
        -o-object-fit: cover;
           object-fit: cover;
        width: 62px;
        height: 62px;
        margin-right: -1.5rem; }
    .places .item .toggle {
      width: 50px;
      height: 50px;
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-pack: center;
      -webkit-justify-content: center;
          -ms-flex-pack: center;
              justify-content: center;
      -webkit-box-align: center;
      -webkit-align-items: center;
          -ms-flex-align: center;
              align-items: center;
      background-color: #0ba13b;
      margin-left: auto;
      margin-right: auto;
      margin-top: 3.5em;
      cursor: pointer; }
      .places .item .toggle:hover img {
        -webkit-transform: rotate(45deg);
            -ms-transform: rotate(45deg);
                transform: rotate(45deg); }
      .places .item .toggle img {
        max-width: 12px;
        -webkit-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out; }

.functioning {
  position: relative;
  padding: 10rem 0rem 20rem;
  background-color: #eef5fc; }
  @media (max-width: 730px) {
    .functioning {
      padding: 10rem 0rem 0rem; } }
  .functioning .text {
    max-width: 328px;
    position: relative;
    z-index: 5; }
    @media (max-width: 730px) {
      .functioning .text {
        max-width: 100%; } }
  .functioning .functioning__bg {
    position: absolute;
    bottom: 0px;
    right: 0px; }
    @media (max-width: 1460px) {
      .functioning .functioning__bg {
        max-width: 70%; } }
    @media (max-width: 730px) {
      .functioning .functioning__bg {
        position: relative;
        max-width: 100%;
        margin-top: -15rem; } }

.management {
  padding: 0rem 0rem 8rem 0rem;
  position: relative; }
  .management .title {
    position: relative; }
    .management .title .controls {
      position: relative;
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-align: center;
      -webkit-align-items: center;
          -ms-flex-align: center;
              align-items: center;
      gap: 5rem; }
    .management .title .swiper-button-next,
    .management .title .swiper-button-prev {
      color: #000;
      position: relative;
      margin-top: 2rem; }
  .management .container {
    max-width: calc(50% + 620px);
    margin-left: auto;
    margin-right: 0px;
    display: grid;
    grid-template-columns: 280px calc(100% - 280px); }
    @media (max-width: 1350px) {
      .management .container {
        max-width: 100%; } }
    @media (max-width: 900px) {
      .management .container {
        grid-template-columns: 230px calc(100% - 230px); } }
    @media (max-width: 750px) {
      .management .container {
        grid-template-columns: 100%; } }
  .management .title {
    margin-top: 12rem;
    margin-left: -5rem;
    max-width: 242px; }
    @media (max-width: 1350px) {
      .management .title {
        margin-left: 0px; } }
    @media (max-width: 750px) {
      .management .title {
        margin-top: 5rem; } }
    .management .title h2 {
      line-height: 1.1; }
  .management .slider__wrapper {
    background-color: #fff;
    padding: 5rem 0rem 5rem 5rem; }
    @media (max-width: 568px) {
      .management .slider__wrapper {
        padding: 5rem 0rem 5rem 0rem; } }
  .management .swiper-slide {
    width: auto; }
    .management .swiper-slide .image {
      position: relative; }
    .management .swiper-slide .content {
      display: grid;
      grid-template-columns: 1fr 60px;
      -webkit-box-align: end;
      -webkit-align-items: flex-end;
          -ms-flex-align: end;
              align-items: flex-end; }
    .management .swiper-slide .toggle {
      width: 50px;
      height: 50px;
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-pack: center;
      -webkit-justify-content: center;
          -ms-flex-pack: center;
              justify-content: center;
      -webkit-box-align: center;
      -webkit-align-items: center;
          -ms-flex-align: center;
              align-items: center;
      background-color: #0ba13b;
      cursor: pointer; }
      .management .swiper-slide .toggle:hover img {
        -webkit-transform: rotate(45deg);
            -ms-transform: rotate(45deg);
                transform: rotate(45deg); }
      .management .swiper-slide .toggle img {
        max-width: 12px;
        -webkit-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out; }
    .management .swiper-slide .detail {
      margin-top: 2rem; }
    .management .swiper-slide .logo {
      margin-bottom: 2rem; }
      .management .swiper-slide .logo img {
        max-width: 120px; }
    .management .swiper-slide .name {
      font-family: "Gotham Bold";
      font-size: 1.8rem; }
    .management .swiper-slide .position {
      font-size: 1.4rem; }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
